<template lang="pug">
title-bar {{$t("default.nav.users")}}	
b-container
	.tile.is-ancestor
		.tile.is-vertical
			.tile.is-parent
				b-card.tile.is-child: b-form( @submit='us.createUser' :loading='pending' )
			.tile.is-parent
				b-card.tile.is-child
					b-table( :columns='columns' :data='users' :loading='pending' )
						template( #role='{item}' ) {{$t(`default.roles.${item.role}`)}}
						template( #buttons='{item}' )
							b-button( @click='us.deleteUser(item.id)' type="danger" size="small" ): span.icon.is-small: i.fa-solid.fa-trash-can
</template>

<script setup>
import BForm from "@/components/users/Form.vue"
import BTable from "@/components/table/Table.vue"
import { useUserStore } from "@/stores/user"

import { computed, onMounted } from "vue"
import { useI18n } from "vue-i18n"

const us = useUserStore()
const {t} = useI18n()

const users = computed(() => us.users)
const pending = computed(() => us.pending)
const columns = computed(() => [
	{ field: "username", label: "Username" },
	{ field: "role", label: "Role" },
	{ field: "buttons" },
])

onMounted(us.getUsers)
</script>

<style lang="scss" scoped>

</style>